Point

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class Point

    java.lang.Object
      java.awt.Point

All Implemented Interfaces:
  Serializable, Cloneable

    public class Point

extends Object
implements Serializable, Cloneable

A point representing a location in (x, y) coordinate space, specified in integer precision.

Since:
  JDK1.0
Version:
  1.37, 01/23/03
Author:
  Sami Shaio
See Also:
  Serialized Form

Field Summary
`int` | `x` The x coordinate.
`int` | `y` The y coordinate.

Constructor Summary
`Point()` Constructs and initializes a point at the origin (0, 0) of the coordinate space.
`Point(int x, int y)` Constructs and initializes a point at the specified (x, y) location in the coordinate space.
`Point(Point p)` Constructs and initializes a point with the same location as the specified `Point` object.

Method Summary
`Object` | `clone()` Creates a new object of the same class and with the same contents as this object.
`boolean` | `equals(Object obj)` Determines whether or not two points are equal.
`Point` | `getLocation()` Returns the location of this point.
`int` | `hashCode()` Returns the hashcode for this `Point`.
`void` | `move(int x, int y)` Moves this point to the specified location in the (x, y) coordinate plane.
`void` | `setLocation(int x, int y)` Changes the point to have the specified location.
`void` | `setLocation(Point p)` Sets the location of the point to the specified location.
`String` | `toString()` Returns a string representation of this point and its location in the (x, y) coordinate space.
`void` | `translate(int dx, int dy)` Translates this point, at location (x, y), by `dx` along the x axis and `dy` along the y axis so that it now represents the point (`x` `+` `dx`, `y` `+` `dy`).

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public int x

  The x coordinate. If no x coordinate is set it will default to 0.

  See Also:
    `getLocation()`, `move(int, int)`

### y

    public int y

  The y coordinate. If no y coordinate is set it will default to 0.

  See Also:
    `getLocation()`, `move(int, int)`

Constructor Detail

### Point

    public Point()

  Constructs and initializes a point at the origin (0, 0) of the coordinate space.

  Since:
    JDK1.1

### Point

    public Point(Point p)

  Constructs and initializes a point with the same location as the specified `Point` object.

  Parameters:
    `p` - a point
  Since:
    JDK1.1

### Point

    public Point(int x,
                 int y)

  Constructs and initializes a point at the specified (x, y) location in the coordinate space.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate

Method Detail

### getLocation

    public Point getLocation()

  Returns the location of this point. This method is included for completeness, to parallel the `getLocation` method of `Component`.

  Returns:
    a copy of this point, at the same location
  Since:
    JDK1.1
  See Also:
    `Component.getLocation()`, `setLocation(java.awt.Point)`, `setLocation(int, int)`

### setLocation

    public void setLocation(Point p)

  Sets the location of the point to the specified location. This method is included for completeness, to parallel the `setLocation` method of `Component`.

  Parameters:
    `p` - a point, the new location for this point
  Since:
    JDK1.1
  See Also:
    `Component.setLocation(java.awt.Point)`, `getLocation()`

### setLocation

    public void setLocation(int x,
                            int y)

  Changes the point to have the specified location.

  This method is included for completeness, to parallel the `setLocation` method of `Component`. Its behavior is identical with `move(int, int)`.

  Parameters:
    `x` - the x coordinate of the new location
    `y` - the y coordinate of the new location
  Since:
    JDK1.1
  See Also:
    `Component.setLocation(int, int)`, `getLocation()`, `move(int, int)`

### move

    public void move(int x,
                     int y)

  Moves this point to the specified location in the (x, y) coordinate plane. This method is identical with `setLocation(int, int)`.

  Parameters:
    `x` - the x coordinate of the new location
    `y` - the y coordinate of the new location
  See Also:
    `Component.setLocation(int, int)`

### translate

    public void translate(int dx,
                          int dy)

  Translates this point, at location (x, y), by `dx` along the x axis and `dy` along the y axis so that it now represents the point (`x` `+` `dx`, `y` `+` `dy`).

  Parameters:
    `dx` - the distance to move this point along the x axis
    `dy` - the distance to move this point along the y axis

### equals

    public boolean equals(Object obj)

  Determines whether or not two points are equal. Two instances of `Point` are equal if the values of their `x` and `y` member fields, representing their position in the coordinate space, are the same.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - an object to be compared with this `Point`
  Returns:
    `true` if the object to be compared is an instance of `Point` and has the same values; `false` otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### toString

    public String toString()

  Returns a string representation of this point and its location in the (x, y) coordinate space. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this point

### clone

    public Object clone()

  Creates a new object of the same class and with the same contents as this object.

  Returns:
    a clone of this instance.
  Throws:
    `OutOfMemoryError` - if there is not enough memory.
  Since:
    1.2
  See Also:
    `Cloneable`

### hashCode

    public int hashCode()

  Returns the hashcode for this `Point`.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code for this `Point`.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD